#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long N,M,res=0,n,m;
    cin>>N>>M;
    if(N==1){
        cout<<M;
        return 0;
    }
    if(M==1){
        cout<<N;
        return 0;
    }
    n=N-2;
    m=M-2;
    if(n%2==1 && m%2==1){
        res=m*n/2+1;
    }
    else{
        res+=m*n/2;
    }
    cout<<M*N-res;
    return 0;
}